## designate 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
eventlet>=0.17.4
Flask<1.0,>=0.10
greenlet>=0.3.2
iso8601>=0.1.9
Jinja2>=2.6 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.0.0
netaddr!=0.7.16,>=0.7.12
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
Paste
PasteDeploy>=1.5.0
pbr>=1.6
pecan>=1.0.0
python-designateclient>=1.0.0
python-neutronclient>=2.6.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
requests>=2.5.2
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6
setuptools>=16.0
WebOb>=1.2.3
dnspython>=1.12.0;python_version<'3.0'
dnspython3>=1.12.0;python_version>='3.0'
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56
psutil<2.0.0,>=1.1.1
tooz>=1.19.0 # Apache-2.0

=== debian/changelog ===
designate (1:1.0.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 16:04:33 +0100

designate (1:1.0.0-3) unstable; urgency=medium

  * Added q-text-as-data in the depends: of designate-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:39:36 +0000

designate (1:1.0.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:18:25 +0000

designate (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:00:14 +0200

designate (1:1.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Added BSD license for designate/api/v2/controllers/rest.py.
  * Added designate-zone-manager service which was missing.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2015 14:00:40 +0200

designate (1:1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now designate-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 13:31:11 +0200

designate (1:1.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 10:41:50 +0200

designate (1:1.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebase patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Aug 2015 09:13:44 +0200

designate (2015.1.0-2) unstable; urgency=medium

  * Added -mdns and -pool-manager services through new .deb which were missing.
    Thanks to Graham Hayes <graham@hayes.ie> for the report (Closes: #792034)
  * Removed all individual debian/*.logrotate files, using only a single
    designate-common.logrotate file now.
  * Added do-not-use-namespace-oslo.concurrency.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jul 2015 19:25:17 +0200

designate (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 14:43:36 +0800

designate (2014.2-3) experimental; urgency=medium

  * Fix upgrade from Icehouse to Juno failing because of the directive
    database_connection has been renamed connection (Close: #769765).
    Thanks to Andreas Beckmann <anbe@debian.org> for the report.
  * Adds remove-PROTOCOL_SSLv3-from-sslutils.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 11:09:35 +0000

designate (2014.2-2) experimental; urgency=medium

  * Using connection = as directive for the db, and using "database sync"
    instead of "database-sync" (Closes: #767853).
  * Added dh-python as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 14:49:22 +0000

designate (2014.2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:24:33 +0800

designate (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added --fail-missing when calling dh_install.
  * Fixed version of rootwrap depends.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Standards-Version is now 3.9.6 (no change).
  * Failed unit test suite fails the build.
  * designate-api now depends on adduser.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 13:35:35 +0800

designate (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just before the Jessie freeze.
  * Updated (build-)depends form this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 02:11:53 +0800

designate (2014.1-9) unstable; urgency=medium

  * Fixed new upstream URL in debian/rules.
  * Added sqlite3 as depends: for designate-common (Closes: #754673).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2014 23:15:25 +0800

designate (2014.1-8) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 12~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 09:08:52 +0000

designate (2014.1-7) unstable; urgency=medium

  * Added missing depends on dbconfig-common (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Jun 2014 03:04:37 +0000

designate (2014.1-6) unstable; urgency=medium

  * Do not use addgroup in config script (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 May 2014 09:25:43 +0800

designate (2014.1-5) unstable; urgency=medium

  * Added a copytruncate in logrotate scripts.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 May 2014 14:04:33 +0800

designate (2014.1-4) unstable; urgency=medium

  * Added missing dependency on adduser (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 May 2014 12:53:18 +0800

designate (2014.1-3) unstable; urgency=medium

  * Added French debconf templates translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #747511).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2014 05:38:37 +0800

designate (2014.1-2) unstable; urgency=medium

  * Added Portuguese debconf translation, thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #746599).

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 06:59:17 +0000

designate (2014.1-1) unstable; urgency=medium

  * New upsteram release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2014 00:40:07 +0800

designate (2014.1~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2014 14:02:53 +0800

designate (2014.1~b3-1) experimental; urgency=low



=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-designateclient (>= 1.5.0),
                     python-dnspython,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-flask,
                     python-greenlet,
                     python-hacking,
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystonemiddleware (>= 2.0.0),
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 2.6.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-psutil,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-suds,
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.19.0),
                     python-webob,
                     python-webtest,
                     python-werkzeug,
                     sqlite3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/designate.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/designate.git
Homepage: https://github.com/openstack/designate

Package: python-designate
Section: python
Architecture: all
Depends: python-babel,
         python-designateclient (>= 1.5.0),
         python-dnspython,
         python-eventlet (>= 0.17.4),
         python-flask,
         python-greenlet,
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystonemiddleware (>= 2.0.0),
         python-memcache (>= 1.56),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 2.6.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psutil,
         python-pymysql,
         python-requests (>= 2.5.2),
         python-routes,
         python-six (>= 1.9.0),
         python-suds,
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-tooz (>= 1.19.0),
         python-webob,
         python-werkzeug,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-mdns
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-zone-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: designate-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/designate.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart debian/*.service

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing \
		-Xusr/etc/designate/designate.conf.sample \
		-Xusr/etc/designate/policy.json \
		-Xusr/etc/designate/rootwrap.conf.sample \
		-Xusr/etc/designate/api-paste.ini \
		-Xusr/etc/designate/rootwrap.d/bind9.filters

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## designate 1.0.2

=== requirements.txt ===
--- 
+++ 
@@ -9,17 +9,17 @@
 iso8601>=0.1.9
 Jinja2>=2.6 # BSD License (3 clause)
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 netaddr!=0.7.16,>=0.7.12
 oslo.config>=2.3.0 # Apache-2.0
 oslo.concurrency>=2.3.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 Paste
 PasteDeploy>=1.5.0
 pbr>=1.6
@@ -28,7 +28,7 @@
 python-neutronclient>=2.6.0
 Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
 Routes!=2.0,>=1.12.3;python_version!='2.7'
-requests>=2.5.2
+requests!=2.8.0,!=2.9.0,>=2.5.2
 six>=1.9.0
 SQLAlchemy<1.1.0,>=0.9.9
 sqlalchemy-migrate>=0.9.6

=== debian/changelog ===
designate (1:1.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).
  * d/p/fixes-keystone-authtoken.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 13 Oct 2016 09:55:27 -0400

designate (1:1.0.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2015 13:03:41 +0000

designate (1:1.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:39:43 -0400

designate (1:1.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:40:30 -0400

designate (1:1.0.0~rc1-0ubuntu3) wily; urgency=medium

  * d/control,designate-zone-manager.init.in: Add binary package an init script
    for missing zone-manager function.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 13:23:04 +0100

designate (1:1.0.0~rc1-0ubuntu2) wily; urgency=medium

  * d/control: Drop python-dnspython3.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Sep 2015 16:28:13 -0400

designate (1:1.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 10:42:26 +0100

designate (1:1.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:50:31 -0400

designate (1:1.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 10:02:09 -0400

designate (1:1.0.0~b1-0ubuntu5) wily; urgency=medium

  * d/pydist-overrides: Ignore dependency on suds-jurko, provided by
    python-suds in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 10:52:36 +0200

designate (1:1.0.0~b1-0ubuntu4) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:24:47 +0100

designate (1:1.0.0~b1-0ubuntu3) wily; urgency=medium

  [ Thomas Goirand ]
  * Added -mdns and -pool-manager services through new .deb which were missing
    (LP: #1473460).
  * Removed all individual debian/*.logrotate files, using only a single
    designate-common.logrotate file now.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jul 2015 11:29:49 +0100

designate (1:1.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop use of OSLO_PACKAGE_VERSION as we always build from
    upstream release tarballs.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jun 2015 14:08:49 +0100

designate (1:1.0.0~b1-0ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/p/skipped-tests.patch: Skip tests that fail in the buildds due to
      use of multicast.
    - d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
      SO_REUSEPORT socket option with older kernel versions.
    - d/watch: Use tarballs.openstack.org for upstream releases.
    - d/rules: Generalize exclusion of usr/etc installed files with use
      of --fail-missing.
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/*: wrap-and-sort -a -t.
    - d/p/fix-SO_REUSEPORT-usage.patch: Dropped, included upstream.
  * d/control: Update Vcs fields for Launchpad Git repositories.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 12:06:57 +0100

designate (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
    SO_REUSEPORT socket option with older kernel versions, resolving
    FTBFS on distro builders which use 3.2.0 kernels (LP: #1451691).

 -- James Page <james.page@ubuntu.com>  Mon, 11 May 2015 12:00:25 +0100

designate (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 May 2015 08:33:33 +0200

designate (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align dependencies and versions with upstream.
    - debian/patches/fixup-jsonschema.patch: Dropped no longer needed.
    - debian/patches/skipped-tests.patch: Skip tests that fail
      in the buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Apr 2015 08:44:15 -0400

designate (2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align dependencies and versions with upstream.
    - d/p/fixup-jsonschema.patch: Fixup compat with jsonschema 2.3.0.
  * d/watch: Use tarballs.openstack.org for releases.
  * d/designate-api.init.in: Fixup name for designate-api binary.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:05:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: designate
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9~),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 23~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
-               python-setuptools (>= 16.0),
+               python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
-                     python-designateclient (>= 1.5.0),
-                     python-dnspython,
+Build-Depends-Indep: python-babel (>= 1.3),
+                     python-coverage (>= 3.6),
+                     python-designateclient (>= 1.0.0),
+                     python-dnspython (>= 1.12.0),
                      python-eventlet (>= 0.17.4),
                      python-fixtures (>= 1.3.1),
-                     python-flask,
-                     python-greenlet,
-                     python-hacking,
-                     python-iso8601,
-                     python-jinja2,
-                     python-jsonschema,
+                     python-flask (>= 0.10),
+                     python-greenlet (>= 0.3.2),
+                     python-hacking (>= 0.9.2),
+                     python-iso8601 (>= 0.1.9),
+                     python-jinja2 (>= 2.6),
+                     python-jsonschema (>= 2.0.0),
                      python-keystonemiddleware (>= 2.0.0),
                      python-memcache (>= 1.56),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 1.3),
+                     python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 2.6.0),
+                     python-neutronclient (>= 1:2.6.0),
                      python-oslo.concurrency (>= 2.3.0),
                      python-oslo.config (>= 1:2.3.0),
                      python-oslo.context (>= 0.2.0),
@@ -41,56 +41,55 @@
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.8.0),
+                     python-oslo.service (>= 0.7.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paste,
-                     python-pastedeploy,
+                     python-pastedeploy (>= 1.5.0),
+                     python-pbr (>= 1.8),
                      python-pecan (>= 1.0.0),
-                     python-pymysql,
-                     python-psutil,
+                     python-pkg-resources (>= 16.0),
+                     python-psutil (>= 1.1.1),
                      python-requests (>= 2.5.2),
                      python-requests-mock (>= 0.6.0),
-                     python-routes,
+                     python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
-                     python-suds,
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 0.9.9),
                      python-stevedore (>= 1.5.0),
+                     python-suds,
                      python-tempest-lib (>= 0.8.0),
-                     python-testscenarios,
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.19.0),
-                     python-webob,
-                     python-webtest,
-                     python-werkzeug,
-                     sqlite3,
-                     subunit,
-                     testrepository,
+                     python-webob (>= 1.2.3),
+                     python-webtest (>= 2.0),
+                     python-werkzeug (>= 0.7),
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/designate.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/designate.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: python-designate
 Section: python
 Architecture: all
-Depends: python-babel,
-         python-designateclient (>= 1.5.0),
-         python-dnspython,
+Depends: python-babel (>= 1.3),
+         python-designateclient (>= 1.0.0),
+         python-dnspython (>= 1.12.0),
          python-eventlet (>= 0.17.4),
-         python-flask,
-         python-greenlet,
-         python-iso8601,
-         python-jinja2,
-         python-jsonschema,
+         python-flask (>= 0.10),
+         python-greenlet (>= 0.3.2),
+         python-iso8601 (>= 0.1.9),
+         python-jinja2 (>= 2.6),
+         python-jsonschema (>= 2.0.0),
          python-keystonemiddleware (>= 2.0.0),
          python-memcache (>= 1.56),
          python-migrate (>= 0.9.6),
-         python-mysqldb,
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 2.6.0),
+         python-neutronclient (>= 1:2.6.0),
          python-oslo.concurrency (>= 2.3.0),
          python-oslo.config (>= 1:2.3.0),
          python-oslo.context (>= 0.2.0),
@@ -102,26 +101,26 @@
          python-oslo.policy (>= 0.5.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.8.0),
+         python-oslo.service (>= 0.7.0),
          python-oslo.utils (>= 2.0.0),
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
-         python-psutil,
-         python-pymysql,
+         python-pkg-resources (>= 16.0),
+         python-psutil (>= 1.1.1),
          python-requests (>= 2.5.2),
-         python-routes,
+         python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
-         python-suds,
          python-sqlalchemy (>= 0.9.9),
          python-stevedore (>= 1.5.0),
+         python-suds,
          python-tooz (>= 1.19.0),
-         python-webob,
-         python-werkzeug,
-         ${misc:Depends},
-         ${python:Depends},
-Provides: ${python:Provides}
+         python-webob (>= 1.2.3),
+         python-werkzeug (>= 0.7),
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
 XB-Python-Version: ${python:Versions}
 Description: OpenStack DNS as a Service - Python libs
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -170,8 +169,7 @@
 Architecture: all
 Depends: adduser,
          designate-common (= ${binary:Version}),
-         python-openstackclient,
-         q-text-as-data,
+         python-designate (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack DNS as a Service - API server
@@ -276,12 +274,9 @@
 Package: designate-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: OpenStack DNS as a Service - doc
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
  REST API for domain & record management. It is Integrated with Keystone for
  authentication, and provides a framework in place to integrate with Nova and
- Neutron notifications (for auto-generated records). Designate supports
- PowerDNS and Bind9 out of the box.
- .
- This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 UPSTREAM_GIT = git://github.com/openstack/designate.git
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
@@ -15,16 +14,12 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
-	rm -rf doc/build build *.egg-info
+	rm -rf doc/build build
 	rm -f debian/*.init debian/*.upstart debian/*.service
+	rm -rf .eggs
 
 override_dh_install:
-	dh_install -O--buildsystem=python_distutils --fail-missing \
-		-Xusr/etc/designate/designate.conf.sample \
-		-Xusr/etc/designate/policy.json \
-		-Xusr/etc/designate/rootwrap.conf.sample \
-		-Xusr/etc/designate/api-paste.ini \
-		-Xusr/etc/designate/rootwrap.d/bind9.filters
+	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=python_distutils
